package com.jdcloud.market.sdk.core.service;

import com.jdcloud.market.sdk.core.vo.CreateInstanceReq;
import com.jdcloud.market.sdk.core.vo.CreateInstanceResp;
import com.jdcloud.market.sdk.core.vo.UnifiedResp;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Service;

/**
 * @TODO
 * @Author : WangLei
 * @Date : 2019/3/22
 */
@Service
public class JdcloudMarketSaasServiceImpl implements IJdcloudMarketSaasService {

    private static Logger logger = LoggerFactory.getLogger(JdcloudMarketSaasServiceImpl.class);

    @Override
    public Object createInstance(CreateInstanceReq saasInstanceReq) {
        logger.info("createInstance");
        CreateInstanceResp createInstanceResp = new CreateInstanceResp();
        // 非空校验
//        if (!activeNotificationService.validNewlyPurchased(saasInstanceReq)) {
//            newlyPurchasedResp.setInstanceId("0");
//            return newlyPurchasedResp;
//        }
//
//        // 组装返回数据
//        activeNotificationService.buildNewlyPurchasedRespData(newlyPurchasedResp);
        return createInstanceResp;
    }

    @Override
    public UnifiedResp renewInstance(CreateInstanceReq saasInstanceReq) {
        logger.info("renewInstance");
        UnifiedResp unifiedResp = new UnifiedResp();
        // 非空校验
//        if (!activeNotificationService.validRenew(renewReq)) {
//            unifiedResp.setSuccess(false);
//            unifiedResp.setMessage("参数缺失");
//            return unifiedResp;
//        }
        unifiedResp.setSuccess(true);
        unifiedResp.setAuthCode("4568921276");
        unifiedResp.setMessage("renew success");
        return unifiedResp;
    }

    @Override
    public UnifiedResp releaseInstance(CreateInstanceReq saasInstanceReq) {
        logger.info("releaseInstance");
        UnifiedResp releaseResp = new UnifiedResp();
        // 非空校验
//        if (!activeNotificationService.validRelease(releaseReq)) {
//            releaseResp.setSuccess(false);
//            releaseResp.setMessage("参数缺失");
//            return releaseResp;
//        }
        releaseResp.setSuccess(true);
        releaseResp.setMessage("release success");
        return releaseResp;
    }

    @Override
    public UnifiedResp upgradeInstance(CreateInstanceReq saasInstanceReq) {
        logger.info("releaseInstance");
        UnifiedResp unifiedResp = new UnifiedResp();
        // 非空校验
//        if (!activeNotificationService.validRelease(releaseReq)) {
//            releaseResp.setSuccess(false);
//            releaseResp.setMessage("参数缺失");
//            return releaseResp;
//        }
        unifiedResp.setSuccess(true);
        unifiedResp.setMessage("release success");
        return unifiedResp;
    }

    @Override
    public UnifiedResp dilateInstance(CreateInstanceReq saasInstanceReq) {
        logger.info("dilateInstance");
        UnifiedResp unifiedResp = new UnifiedResp();
        // 非空校验
//        if (!activeNotificationService.dilateInstance(renewReq)) {
//            unifiedResp.setSuccess(false);
//            unifiedResp.setMessage("参数缺失");
//            return unifiedResp;
//        }
        unifiedResp.setSuccess(true);
        unifiedResp.setAuthCode("4568921276");
        unifiedResp.setMessage("dilateInstance success");
        return unifiedResp;
    }

    @Override
    public Object login(CreateInstanceReq saasInstanceReq) {
        logger.info("login");
        // 非空校验
//        if (!activeNotificationService.validLogin(loginReq)) {
//            return "参数缺失！";
//        }
        return "login url";
    }

    @Override
    public UnifiedResp expiredInstance(CreateInstanceReq saasInstanceReq) {
        logger.info("expiredInstance");
        UnifiedResp unifiedResp = new UnifiedResp();
        // 非空校验
//        if (!activeNotificationService.validexpiredInstance(expiredReq)) {
//            unifiedResp.setSuccess(false);
//            unifiedResp.setMessage("参数缺失");
//            return unifiedResp;
//        }
        unifiedResp.setSuccess(true);
        unifiedResp.setAuthCode("4568921276");
        unifiedResp.setMessage("expiredInstance success");
        return unifiedResp;
    }
}
