package com.jdcloud.market.sdk.core.vo;

import java.io.Serializable;

/**
 * 云市场主动通知接口 返回Vo
 */
public class CreateInstanceResp implements Serializable {
    /**
     * 服务商系统创建的订单的ID，建议用传入的服务ID
     * 该ID云市场需要保存；
     * 返回值为0，表示创建中或创建失败；
     * 返回值不为0，表示创建成功；
     */
    private String instanceId;

    /**
     * appInfo
     */
    private AppInfo appInfo;

    /**
     * info
     */
    private Object info;

    public String getInstanceId() {
        return instanceId;
    }

    public void setInstanceId(String instanceId) {
        this.instanceId = instanceId;
    }

    public AppInfo getAppInfo() {
        return appInfo;
    }

    public void setAppInfo(AppInfo appInfo) {
        this.appInfo = appInfo;
    }

    public Object getInfo() {
        return info;
    }

    public void setInfo(Object info) {
        this.info = info;
    }

    @Override
    public String toString() {
        return "CreateInstanceResp{" +
                "instanceId='" + instanceId + '\'' +
                ", appInfo=" + appInfo +
                ", info=" + info +
                '}';
    }
}
